# Devices and breakpoints

Shopstory uses 6 resolution ranges:

* `xs` - phones in a vertical mode&#x20;
* `sm` - horizontal  phones, small vertical tablets
* `md` - vertical tablets, sometimes horizontal phones
* `lg` - small desktops, tablets in horizontal mode
* `xl` - desktops (mostly laptop)
* `2xl` - large desktops

Each of them is represented by 4 properties:

* `startsFrom` - minimum resolution
* `w` - width of device representing the range in Shopstory Editor
* `h` - height of device representing the range in Shopstory Editor
* `hidden` - info whether we should show this resolution in Shopstory Editor

Defaults:

<table><thead><tr><th width="115">Range</th><th width="194">Starts from</th><th width="152">Width</th><th>Height</th><th>Hidden?</th></tr></thead><tbody><tr><td>xs</td><td>0</td><td>375</td><td>667</td><td></td></tr><tr><td>sm</td><td>568</td><td>667</td><td>375</td><td>yes</td></tr><tr><td>md</td><td>768</td><td>768</td><td>1024</td><td></td></tr><tr><td>lg</td><td>992</td><td>1024</td><td>768</td><td>yes</td></tr><tr><td>xl</td><td>1280</td><td>1366</td><td>768</td><td></td></tr><tr><td>2xl</td><td>1600</td><td>1920</td><td>920</td><td></td></tr></tbody></table>

We hide `sm` and `lg` because too many breakpoints cause cognitive overload for editors. Usually mobile, vertical tablet and small desktop are enough to cover all resolutions in a correct way.

If you want to override specific breakpoints values, just use `devices` property in `shopstory/config.ts`

```typescript
const shopstoryConfig : Config = {
    devices: {
        xs: {
            w: 428, // Let's modify xs width and height to iPhone 13 Pro Max
            h: 926
        },
        lg: {
            hidden: false // Let's not hide horizontal tablets
        },
        xl: {
            startsFrom: 1200 // Let's move breakpoint of xl range to 1200
        }
    },
    // ...
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shopstory.app/devices-and-breakpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
